# Yith Library Server is a password storage server.
# Copyright (C) 2013 Lorenzo Gil Sanchez <lorenzo.gil.sanchez@gmail.com>
#
# This file is part of Yith Library Server.
#
# Yith Library Server is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Yith Library Server is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with Yith Library Server.  If not, see <http://www.gnu.org/licenses/>.

from yithlibraryserver.user.utils import register_or_update


def facebook_callback(request, user_id, info):
    return register_or_update(request, 'facebook', user_id, info,
                              request.route_path('home'))


def google_callback(request, user_id, new_info):
    return register_or_update(request, 'google', user_id, new_info,
                              request.route_path('home'))


def liveconnect_callback(request, user_id, info):
    return register_or_update(request, 'liveconnect', user_id, info,
                              request.route_path('home'))
